#### D.12.6.3 symsignature

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  symsignature(m); m matrix. m must be symmetric.

Return:
  int: the signature of m

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y),dp;
    ideal i = x4-y2x,y2-13;
    i = std(i);
    ideal b = qbase(i);
    matrix m = matbil(1,b,i);
    symsignature(m);
    ==> 4

See also: matbil; sturmquery.

User manual for Singular version 4.4.1, 2025, generated by texi2html.